{% set current_route = app.request.attributes.get('_route') %}

{% if current_route == 'schoolType.detail' or current_route == 'news.detail' %}
    <div class="news-block">
        <div class="row">
            {% for last_news in lastNews|default() %}
            <div class="col-sm-4">
                <div class="n-item d-md-block d-flex align-items-center">
                    <div class="n-img mb-md-4 mb-0 mr-md-0 mr-2">
                        <a href="{{ path('news.detail', {newsSlug: last_news.slug,newsId: last_news.id}) }}">
                            <img src="{{ last_news.thumb }}" onerror="this.src='{{ asset('assets/images/no-images.jpg') }}';" alt="{{ last_news.title }}"/>
                        </a>
                    </div>
                    <p class="w-sb mb-md-2 mb-0">
                        <a href="{{ path('news.detail', {newsSlug: last_news.slug,newsId: last_news.id}) }}">
                            {{ last_news.title }}
                        </a>
                    </p>
                    <div class="public">
                        <i class="fa fa-tag mr-1"></i><span>Publication le {{ last_news.createdDate|date("d/m/Y") }}</span>
                    </div>
                    <div class="n-desc">{{ last_news.description|raw }}</div>
                </div>
            </div>
            {% endfor %}
        </div>
        {% if current_route != 'news.detail' %}
            <div class="n-link text-center">
                <a href="{{ path('news.index') }}" class="position-relative btn-border">
                    <span class="main-bt">
                        <span>Voir plus d'articles</span>
                        <span class="the-arrow -right">
                            <span class="shaft"></span>
                        </span>
                    </span>
                </a>
            </div>
        {% endif %}
    </div>
{% endif %}

{% if current_route == 'school.detail' or current_route == 'home.index' %}
    <div class="news-block">
        <div class="row">
            {% for key,last_news in lastNews|default() %}
                <div class="col-5-cols {% if key == 5 %}item-six{% endif %}">
                    <div class="n-item d-md-block d-flex align-items-center">
                        <div class="n-img mb-md-4 mb-0 mr-md-0 mr-2">
                            <a href="{{ path('news.detail', {newsSlug: last_news.slug,newsId: last_news.id}) }}">
                                <img src="{{ last_news.thumb }}" onerror="this.src='{{ asset('assets/images/no-images.jpg') }}';" alt="{{ last_news.title }}"/>
                            </a>
                        </div>
                        <p class="w-sb mb-md-2 mb-0">
                            <a href="{{ path('news.detail', {newsSlug: last_news.slug,newsId: last_news.id}) }}">
                                {{ last_news.title }}
                            </a>
                        </p>
                        <div class="public">
                            <i class="fa fa-tag mr-1"></i><span>Publication le {{ last_news.createdDate|date("d/m/Y") }}</span>
                        </div>
                        <div class="n-desc">
                            {{ last_news.description }}
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
        <div class="n-link text-center">
          	<a href="{{ path('news.index') }}" class="position-relative btn-border">
                <span class="main-bt">
                    <span>Voir plus d'articles</span>
                    <span class="the-arrow -right">
                    <span class="shaft"></span>
                    </span>
                </span>
            </a>
        </div>
    </div>
{% endif %}